﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.Xna.Framework;

namespace Celeste.Mario.OneDashOne {
    public class MarioFlagpoleTrigger : Trigger {

        private float entrance;

        public MarioFlagpoleTrigger(EntityData data, Vector2 offset)
            : base(data, offset) {
            entrance = data.Float("entrance", (data.Position + offset).X + 108);
        }

        public override void OnEnter(Player player) {
            if (Scene.Any(entity => entity is CS_MarioFlagpole))
                return;
            Scene.Add(new CS_MarioFlagpole(player, entrance));
        }

    }
}
