﻿using Celeste.Mod.UI;
using FMOD.Studio;
using Microsoft.Xna.Framework;
using Monocle;
using Celeste;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Celeste.Mod;

namespace Celeste.Mario.OneDashOne {
    public class MarioOneDashOneModule : EverestModule {

        public static MarioOneDashOneModule Instance;

        public MarioOneDashOneModule() {
            Instance = this;
        }

        public override Type SettingsType => null;

        public override void Load() {
            Everest.Events.Level.OnLoadEntity += OnLoadEntity;
        }

        public override void Unload() {
            Everest.Events.Level.OnLoadEntity -= OnLoadEntity;
        }

        private bool OnLoadEntity(Level level, LevelData levelData, Vector2 offset, EntityData entityData) {
            if (entityData.Name == "marioFlagpoleTrigger") {
                level.Add(new MarioFlagpoleTrigger(entityData, offset));
                return true;
            }

            return false;
        }

    }
}
